JGraph X 1.3.0.0

## com.mxgraph.layout
Interface mxIGraphLayout

All Known Implementing Classes:
  mxCircleLayout, mxCompactTreeLayout, mxEdgeLabelLayout, mxFastOrganicLayout, mxGraphLayout, mxHierarchicalLayout, mxOrganicLayout, mxOrthogonalLayout, mxParallelEdgeLayout, mxPartitionLayout, mxStackLayout

    public interface mxIGraphLayout

Defines the requirements for an object that implements a graph layout.

Method Summary
`void` `execute(java.lang.Object parent)` Executes the layout for the children of the specified parent.
`void` `moveCell(java.lang.Object cell, double x, double y)` Notified when a cell is being moved in a parent that has automatic layout to update the cell state (eg.

Method Detail

### execute

    void execute(java.lang.Object parent)

  Executes the layout for the children of the specified parent.

  Parameters:
    `parent` - Parent cell that contains the children to be layed out.

### moveCell

    void moveCell(java.lang.Object cell,
                  double x,
                  double y)

  Notified when a cell is being moved in a parent that has automatic layout to update the cell state (eg. index) so that the outcome of the layout will position the vertex as close to the point (x, y) as possible.

  Parameters:
    `cell` - Cell which is being moved.
    `x` - X-coordinate of the new cell location.
    `y` - Y-coordinate of the new cell location.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.